API ReferenceWallet providers
Create wallet provider
POST
Creates a wallet provider that can present mDocs for online verification.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_STARTCREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_SUCCESSCREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>Wallet provider payload
application/json- body
Request payload for verifier wallet provider
name*stringUnique identifier for the wallet. This field is compared against the wallet identifier defined in the request by the Verifier Web SDK. Value must be unique amongst configured wallet providers on your tenant.
openid4vpConfiguration*Wallet provider created
application/json- response
Response payload for verifier wallet provider
id*stringUnique system generated id to use as a reference for this wallet.
name*stringUnique identifier for the wallet. This field is compared against the wallet identifier defined in the request by the Verifier Web SDK.
openid4vpConfiguration*curl -X POST 'https://example.vii.au01.mattr.global/v2/presentations/wallet-providers' \ -H 'Content-Type: application/json' \ -d '{ "name": "Example wallet provider", "openid4vpConfiguration": { "authorizationEndpoint": "com-example.wallet://" }}'{ "id": "e63a2e46-5afa-48f9-bcc2-2114cf5f331b", "name": "Example wallet provider", "openid4vpConfiguration": { "authorizationEndpoint": "com-example.wallet://" }}How would you rate this page?